nlohmann::detail::output_adapter< CharType, StringType > Class Template Reference

`#include <json.hpp>`

## Public Member Functions

| output_adapter (std::vector< CharType > &vec)
| output_adapter (std::basic_ostream< CharType > &s)
| output_adapter (StringType &s)
| operator output_adapter_t< CharType > ()
| output_adapter (std::vector< CharType > &vec)
| output_adapter (std::basic_ostream< CharType > &s)
| output_adapter (StringType &s)
| operator output_adapter_t< CharType > ()

## Constructor & Destructor Documentation

## output_adapter() [1/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::vector< CharType > & | vec | ) |

inline

## output_adapter() [2/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::basic_ostream< CharType > & | s | ) |

inline

## output_adapter() [3/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | StringType & | s | ) |

inline

## output_adapter() [4/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::vector< CharType > & | vec | ) |

inline

## output_adapter() [5/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | std::basic_ostream< CharType > & | s | ) |

inline

## output_adapter() [6/6]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::output_adapter | ( | StringType & | s | ) |

inline

## Member Function Documentation

## operator output_adapter_t< CharType >() [1/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::operator output_adapter_t< CharType > | ( |  | ) |

inline

## operator output_adapter_t< CharType >() [2/2]

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_adapter< CharType, StringType >::operator output_adapter_t< CharType > | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp